Package org.h2gis.functions.spatial.split

# Class ST_SubDivide

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.split.ST_SubDivide

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_SubDivide extends org.h2gis.api.DeterministicScalarFunction

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_SubDivide()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`divide(org.locationtech.jts.geom.Geometry geom)`
Divide the geometry into quadrants
`static org.locationtech.jts.geom.Geometry`
`divide(org.locationtech.jts.geom.Geometry geom, int maxvertices)`
`static void`
`filterGeom(org.locationtech.jts.geom.Geometry geom, int maxvertices, Stack stack, List ret)`
Extract unique geometry and check if the geometry must be divided
`String`
`getJavaStaticMethod()`
`static List<org.locationtech.jts.geom.Geometry>`
`subdivide_recursive(org.locationtech.jts.geom.Geometry geom, int maxvertices)`
Divide a geometry in quadrant recursively

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_SubDivide

public ST_SubDivide()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### divide

public static org.locationtech.jts.geom.Geometry divide(org.locationtech.jts.geom.Geometry geom)
Divide the geometry into quadrants

Parameters:
  `geom` -
Returns:

### divide

public static org.locationtech.jts.geom.Geometry divide(org.locationtech.jts.geom.Geometry geom, int maxvertices)

Parameters:
  `geom` -
  `maxvertices` -
Returns:

### subdivide_recursive

public static List<org.locationtech.jts.geom.Geometry> subdivide_recursive(org.locationtech.jts.geom.Geometry geom, int maxvertices)
Divide a geometry in quadrant recursively

Parameters:
  `geom` - input geometry
  `maxvertices` - number of vertices in the final geometry
Returns:

### filterGeom

public static void filterGeom(org.locationtech.jts.geom.Geometry geom, int maxvertices, Stack stack, List ret)
Extract unique geometry and check if the geometry must be divided

Parameters:
  `geom` -
  `maxvertices` -
  `stack` -
  `ret` -